KDK_BIOS_GET_VENDOR(3)

NAME
kdk_bios_get_vendor - 获取bios厂商

SYNOPSIS
#include <libkybios.h>

extern const char* kdk_bios_get_vendor();

Link with -lkyhw.

Detailed Description
The main function of the interface is to obtain bios manufacturer

RETURN VALUE
On success, returns the bios manufacturer of type char*; The returned string needs to be released by free

On error, return NULL.

EXAMPLES
    #include <stdio.h>
    #include "libkybios.h"
    #include <stdlib.h>

int main()
{
    char *vendor = kdk_bios_get_vendor();
    char *version = kdk_bios_get_version();
    printf("vendor: %s", vendor);
    printf("version: %s",version);
    free(vendor);
    free(version);
    return 0;
}

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_bios_get_version(). and kdk_bios_free().

SEE ALSO
kdk_bios_get_version(3). and kdk_bios_free(3).